<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Introduction and Simple Styles</title>

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center bg-secondary">

	<!-- 
		p-padding
		m-margin
		1 - .25rem
		2 - .5rem
		3 - 1rem
		4 - 1.5rem
		5 - 3rem

		mt - margin top
		mb - margin bottom
		ml - margin left
		mr - margin right
		mx - margin left and right
		my - margin top and bottom
	 -->

	<!-- Navbar -->
	<div class="bg-primary text-light fixed-top p-1">
		Fixed Top - Navbar
	</div>	
	<!-- End of Navbar -->

	<!-- Header -->
	<div class="text-center mt-5">
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<!-- 
			display: none;
			display: none;
		 -->

		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid rounded-circle bg-white"> 
		</div>
	</div>
	<!-- End of header -->

	<div class="container-fluid mt-5 mb-5">
		<!-- Bootstrap Color Classes Table -->
		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary Link</a>
					</td>
					<td class="text-white bg-primary">Primary</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-secondary">Secondary Link</a>
					</td>
					<td class="text-white bg-secondary">Secondary</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">Success Link</a>
					</td>
					<td class="text-white bg-success">Success</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-danger">Danger Link</a>
					</td>
					<td class="text-white bg-danger">Danger</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-warning">Warning Link</a>
					</td>
					<td class="text-white bg-warning">Warning</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-info">Info Link</a>
					</td>
					<td class="text-white bg-info">Info</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-light">Light Link</a>
					</td>
					<td class="text-dark bg-light">Light</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-dark">Dark Link</a>
					</td>
					<td class="text-white bg-dark">Dark</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-white">White Link</a>
					</td>
					<td class="text-dark bg-white">White</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-muted">Muted Link</a>
					</td>
					<td class="text-white bg-transparent">Transparent</td>
				</tr>
			</tbody>
		</table>

		<!-- End of Bootstrap Color Classes -->		


		<!-- Bootstrap Text Alignment Classes Table -->
		<h2>Bootstrap Text Classes</h2>
		
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>
						Alignment
					</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<!-- Left aligned text on all viewport sizes -->
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>

				<!-- Breakpoints
					xs - <576px
					sm - >=576px
					md - >=768px
					lg - >=992px
					xl ->=1200px
				 -->
				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>
				<tr>
					<td class="text-right text-md-left">Medium Left</td>
				</tr>
				<tr>
					<td class="text-lg-right">Large Right</td>
				</tr>
				<tr>
					<td class="text-xl-center text-left">Extra Large Center</td>
				</tr>

			</tbody>
		</table>

		<!-- End of Bootstrap Text Alignment Classes Table -->

		<!-- Bootstrap Other Text Classes Table -->
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Text Transfrom</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-lowercase font-weight-bold">LOWERCASE BOLD TEXT</td>
				</tr>
				<tr>
					<td class="text-uppercase font-weight-normal">uppercased normal text</td>
				</tr>
				<tr>
					<td class="text-capitalize font-weight-light">capitalized light text</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-decoration-none font-italic">Non-underlined Italic Link</a>
					</td>
				</tr>
			</tbody>
		</table>

		<!-- End of Bootstrap Other Text Classes Table -->

		<!-- Bootstrap Border and Sizing Classes -->
		<h2>Bootstrap Border and Sizing Classes</h2>

		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>

				<!-- 
					width
					w-100, w-75, w-50, w-25
					height
					h-100, h-75, h-50, h-25
				 -->
				<tr>
					<td>
						<div class="bg-info border border-warning rounded w-100">
							Rounded
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-secondary border border-white rounded-circle w-75">
							Rounded Circle
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-warning border border-white rounded-pill w-25">
							Rounded Pill
						</div>
					</td>
				</tr>

			</tbody>
		</table>

		<!-- End of Bootstrap Border and Sizing Classes -->

	</div>

	<!-- Footer -->

	<div class="bg-primary text-light fixed-bottom p-1">
		Fixed Bottom - Footer
	</div>

	<!-- End of Footer -->




	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>